org.wso2.carbon.tryit.wadl.data

## Class operations

- java.lang.Object
- - org.wso2.carbon.tryit.wadl.data.operations

-     public class operations
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `operations()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHttpMethod()`
    `String` | `getNickname()`
    `String` | `getNotes()`
    `List<parameters>` | `getParameters()`
    `String` | `getResponseClass()`
    `String` | `getSummary()`
    `String[]` | `getSupportedContentTypes()`
    `void` | `setHttpMethod(String httpMethod)`
    `void` | `setNickname(String nickname)`
    `void` | `setNotes(String notes)`
    `void` | `setParameters(List<parameters> parameters)`
    `void` | `setResponseClass(String responseClass)`
    `void` | `setSummary(String summary)`
    `void` | `setSupportedContentTypes(String[] supportedContentTypes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### operations

          public operations()

  - ### Method Detail

    - #### getSupportedContentTypes

          public String[] getSupportedContentTypes()

    - #### setSupportedContentTypes

          public void setSupportedContentTypes(String[] supportedContentTypes)

    - #### getHttpMethod

          public String getHttpMethod()

    - #### setHttpMethod

          public void setHttpMethod(String httpMethod)

    - #### getSummary

          public String getSummary()

    - #### setSummary

          public void setSummary(String summary)

    - #### getNotes

          public String getNotes()

    - #### setNotes

          public void setNotes(String notes)

    - #### getResponseClass

          public String getResponseClass()

    - #### setResponseClass

          public void setResponseClass(String responseClass)

    - #### getNickname

          public String getNickname()

    - #### setNickname

          public void setNickname(String nickname)

    - #### getParameters

          public List<parameters> getParameters()

    - #### setParameters

          public void setParameters(List<parameters> parameters)

Copyright © 2026 WSO2. All rights reserved.